--
-- $Id$
--
-- <<converteren kenmerkwaarden naar nieuwe kenmerkmeldingen>>

DEFINE thisfile = 'SGGR#38761.SQL'
DEFINE dbuser   = '^SGGR'
DEFINE custid   = 'SGGR'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

--- Omzetten alle kenmerkwaarden die zijn ingevuld voor alle nieuwe abonnementen (stdmelding_key=161)
UPDATE mld_kenmerkmelding k
   SET k.mld_kenmerk_key =
          (CASE
              WHEN k.mld_kenmerk_key = 21 THEN 1137                --- klantID
              WHEN k.mld_kenmerk_key = 22 THEN 1139              --- Offertenr
              WHEN k.mld_kenmerk_key = 23 THEN 1141         --- Factuurkenmerk
              WHEN k.mld_kenmerk_key = 24 THEN 1142         --- Projectmanager
              WHEN k.mld_kenmerk_key = 25 THEN 1148           --- Acontobedrag
              WHEN k.mld_kenmerk_key = 26 THEN 1147         --- Kilometerprijs
              WHEN k.mld_kenmerk_key = 27 THEN 1149          --- Factuurschema
              WHEN k.mld_kenmerk_key = 61 THEN 1140              --- Logcentre
              WHEN k.mld_kenmerk_key = 81 THEN 1145                 --- Raming
              WHEN k.mld_kenmerk_key = 101 THEN 1146             --- Uurtarief
              WHEN k.mld_kenmerk_key = 122 THEN 1138            --- Intake via
              WHEN k.mld_kenmerk_key = 142 THEN 1144   --- Financiële gegevens
              WHEN k.mld_kenmerk_key = 161 THEN 1143              --- Bijlagen
              WHEN k.mld_kenmerk_key = 181 THEN 1150           --- Klant (oud)
              WHEN k.mld_kenmerk_key = 241 THEN 1136                 --- Klant
           END)
 WHERE k.mld_kenmerk_key IN
             (21,
              22,
              23,
              24,
              25,
              26,
              27,
              61,
              81,
              101,
              122,
              142,
              161,
              181,
              241)
       AND k.mld_melding_key IN (SELECT mld_melding_key
                                   FROM mld_melding m
                                  WHERE m.mld_stdmelding_key = 161);

--- Omzetten alle kenmerkwaarden die zijn ingevuld voor alle nieuwe opdracht (stdmelding_key=101)
UPDATE mld_kenmerkmelding k
   SET k.mld_kenmerk_key =
          (CASE
              WHEN k.mld_kenmerk_key = 21 THEN 1122                --- klantID
              WHEN k.mld_kenmerk_key = 22 THEN 1124              --- Offertenr
              WHEN k.mld_kenmerk_key = 23 THEN 1126         --- Factuurkenmerk
              WHEN k.mld_kenmerk_key = 24 THEN 1127         --- Projectmanager
              WHEN k.mld_kenmerk_key = 25 THEN 1133           --- Acontobedrag
              WHEN k.mld_kenmerk_key = 26 THEN 1132         --- Kilometerprijs
              WHEN k.mld_kenmerk_key = 27 THEN 1134          --- Factuurschema
              WHEN k.mld_kenmerk_key = 61 THEN 1125              --- Logcentre
              WHEN k.mld_kenmerk_key = 81 THEN 1130                 --- Raming
              WHEN k.mld_kenmerk_key = 101 THEN 1131             --- Uurtarief
              WHEN k.mld_kenmerk_key = 122 THEN 1123            --- Intake via
              WHEN k.mld_kenmerk_key = 142 THEN 1129   --- Financiële gegevens
              WHEN k.mld_kenmerk_key = 161 THEN 1128              --- Bijlagen
              WHEN k.mld_kenmerk_key = 181 THEN 1135           --- Klant (oud)
              WHEN k.mld_kenmerk_key = 241 THEN 1121                 --- Klant
           END)
 WHERE k.mld_kenmerk_key IN
             (21,
              22,
              23,
              24,
              25,
              26,
              27,
              61,
              81,
              101,
              122,
              142,
              161,
              181,
              241)
       AND k.mld_melding_key IN (SELECT mld_melding_key
                                   FROM mld_melding m
                                  WHERE m.mld_stdmelding_key = 101);

--- Omzetten alle kenmerkwaarden die zijn ingevuld voor alle wijziging abonnemen (stdmelding_key=162)
UPDATE mld_kenmerkmelding k
   SET k.mld_kenmerk_key =
          (CASE
              WHEN k.mld_kenmerk_key = 21 THEN 1162                --- klantID
              WHEN k.mld_kenmerk_key = 22 THEN 1164              --- Offertenr
              WHEN k.mld_kenmerk_key = 23 THEN 1166         --- Factuurkenmerk
              WHEN k.mld_kenmerk_key = 24 THEN 1167         --- Projectmanager
              WHEN k.mld_kenmerk_key = 25 THEN 1173           --- Acontobedrag
              WHEN k.mld_kenmerk_key = 26 THEN 1172         --- Kilometerprijs
              WHEN k.mld_kenmerk_key = 27 THEN 1174          --- Factuurschema
              WHEN k.mld_kenmerk_key = 61 THEN 1165              --- Logcentre
              WHEN k.mld_kenmerk_key = 81 THEN 1170                 --- Raming
              WHEN k.mld_kenmerk_key = 101 THEN 1171             --- Uurtarief
              WHEN k.mld_kenmerk_key = 122 THEN 1163            --- Intake via
              WHEN k.mld_kenmerk_key = 142 THEN 1169   --- Financiële gegevens
              WHEN k.mld_kenmerk_key = 161 THEN 1168              --- Bijlagen
              WHEN k.mld_kenmerk_key = 181 THEN 1175           --- Klant (oud)
              WHEN k.mld_kenmerk_key = 241 THEN 1161                 --- Klant
           END)
 WHERE k.mld_kenmerk_key IN
             (21,
              22,
              23,
              24,
              25,
              26,
              27,
              61,
              81,
              101,
              122,
              142,
              161,
              181,
              241)
       AND k.mld_melding_key IN (SELECT mld_melding_key
                                   FROM mld_melding m
                                  WHERE m.mld_stdmelding_key = 162);

--- Omzetten alle kenmerkwaarden die zijn ingevuld voor alle uitbreiding opdracht (stdmelding_key=122)
UPDATE mld_kenmerkmelding k
   SET k.mld_kenmerk_key =
          (CASE
              WHEN k.mld_kenmerk_key = 21 THEN 1177                --- klantID
              WHEN k.mld_kenmerk_key = 22 THEN 1179              --- Offertenr
              WHEN k.mld_kenmerk_key = 23 THEN 1181         --- Factuurkenmerk
              WHEN k.mld_kenmerk_key = 24 THEN 1182         --- Projectmanager
              WHEN k.mld_kenmerk_key = 25 THEN 1188           --- Acontobedrag
              WHEN k.mld_kenmerk_key = 26 THEN 1187         --- Kilometerprijs
              WHEN k.mld_kenmerk_key = 27 THEN 1189          --- Factuurschema
              WHEN k.mld_kenmerk_key = 61 THEN 1180              --- Logcentre
              WHEN k.mld_kenmerk_key = 81 THEN 1185                 --- Raming
              WHEN k.mld_kenmerk_key = 101 THEN 1186             --- Uurtarief
              WHEN k.mld_kenmerk_key = 122 THEN 1178            --- Intake via
              WHEN k.mld_kenmerk_key = 142 THEN 1184   --- Financiële gegevens
              WHEN k.mld_kenmerk_key = 161 THEN 1183              --- Bijlagen
              WHEN k.mld_kenmerk_key = 181 THEN 1190           --- Klant (oud)
              WHEN k.mld_kenmerk_key = 241 THEN 1176                 --- Klant
           END)
 WHERE k.mld_kenmerk_key IN
             (21,
              22,
              23,
              24,
              25,
              26,
              27,
              61,
              81,
              101,
              122,
              142,
              161,
              181,
              241)
       AND k.mld_melding_key IN (SELECT mld_melding_key
                                   FROM mld_melding m
                                  WHERE m.mld_stdmelding_key = 122);

COMMIT;

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile

@@ &custid